"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("ethers/lib/utils");
var terra_1 = require("../terra");
var array_1 = require("./array");
test("terra address conversion", function () {
    var human = "terra1x46rqay4d3cssq8gxxvqz8xt6nwlz4td20k38v";
    var canonical = terra_1.canonicalAddress(human);
    var lpadCanonical = utils_1.zeroPad(canonical, 32);
    var nativeClassic = array_1.tryUint8ArrayToNative(lpadCanonical, "terra");
    expect(nativeClassic).toBe(human);
    var native2 = array_1.tryUint8ArrayToNative(lpadCanonical, "terra2");
    expect(native2).toBe(human);
    // terra 2 contracts are 32 bytes
    var humanContract = "terra14hj2tavq8fpesdwxxcu44rty3hh90vhujrvcmstl4zr3txmfvw9ssrc8au";
    var canonicalContract = terra_1.canonicalAddress(humanContract);
    var nativeContract = array_1.tryUint8ArrayToNative(canonicalContract, "terra2");
    expect(nativeContract).toBe(nativeContract);
    // TODO: native to hex is wrong, which we should correct
});
